commit df39444ecfb2eaca1b24a52c6fc54e7ef70d5e98
Author: Xi Ruoyao <xry111@xry111.site>
Date:   Sat Sep 24 08:23:10 2022

    aarch64: testsuite: disable stack protector for pr103147-10 tests
    
    Stack protector influence code generation and cause function body checks
    fail.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/aarch64/pr103147-10.c (dg-options): Add
            -fno-stack-protector.
            * g++.target/aarch64/pr103147-10.C: Likewise.
    
    (cherry picked from commit 2fa31207ea602d48b8f69982e0bde1d143e54ecb)

diff --git a/gcc/testsuite/g++.target/aarch64/pr103147-10.C b/gcc/testsuite/g++.target/aarch64/pr103147-10.C
index 914fdf9c692..e12771533f7 100644
--- a/gcc/testsuite/g++.target/aarch64/pr103147-10.C
+++ b/gcc/testsuite/g++.target/aarch64/pr103147-10.C
@@ -1,4 +1,4 @@
-/* { dg-options "-O2 -fpack-struct -mstrict-align" } */
+/* { dg-options "-O2 -fpack-struct -mstrict-align -fno-stack-protector" } */
 /* { dg-final { check-function-bodies "**" "" "" } } */
 
 #include <arm_neon.h>
diff --git a/gcc/testsuite/gcc.target/aarch64/pr103147-10.c b/gcc/testsuite/gcc.target/aarch64/pr103147-10.c
index b2c34e4155d..57942bfd10a 100644
--- a/gcc/testsuite/gcc.target/aarch64/pr103147-10.c
+++ b/gcc/testsuite/gcc.target/aarch64/pr103147-10.c
@@ -1,4 +1,4 @@
-/* { dg-options "-O2 -fpack-struct -mstrict-align" } */
+/* { dg-options "-O2 -fpack-struct -mstrict-align -fno-stack-protector" } */
 /* { dg-final { check-function-bodies "**" "" "" } } */
 
 #include <arm_neon.h>

